""" Correspondance table for blending modes between OCA / Krita"""

from ..oca_core.blending_modes import *

BLENDING_MODES = {}
BLENDING_MODES['normal'] = NORMAL
BLENDING_MODES['darken'] = DARKEN
BLENDING_MODES['burn'] = BURN
BLENDING_MODES['color'] = COLOR
BLENDING_MODES['dodge'] = DODGE
BLENDING_MODES['divide'] = DIVIDE
BLENDING_MODES['overlay'] = OVERLAY
BLENDING_MODES['luminize'] = LUMINOSITY
BLENDING_MODES['soft_light_svg'] = SOFT_LIGHT
BLENDING_MODES['multiply'] = MULTIPLY
BLENDING_MODES['saturation'] = SATURATION
BLENDING_MODES['erase'] = ERASE
BLENDING_MODES['lighten'] = LIGHTEN
BLENDING_MODES['screen'] = SCREEN
BLENDING_MODES['inverse_subtract'] = INVERSE_SUBTRACT
BLENDING_MODES['subtract'] = SUBTRACT
BLENDING_MODES['darker color'] = DARKER_COLOR
BLENDING_MODES['easy burn'] = EASY_BURN
BLENDING_MODES['fog_darken_ifs_illusions'] = FOG_DARKEN
BLENDING_MODES['gamma_dark'] = GAMMA_DARK
BLENDING_MODES['linear_burn'] = LINEAR_BURN
BLENDING_MODES['shade_ifs_illusions'] = SHADE
BLENDING_MODES['converse'] = CONVERSE
BLENDING_MODES['and'] = AND
BLENDING_MODES['implication'] = IMPLICATION
BLENDING_MODES['nand'] = NAND
BLENDING_MODES['nor'] = NOR
BLENDING_MODES['not_converse'] = NOT_CONVERSE
BLENDING_MODES['not_implication'] = NOT_IMPLICATION
BLENDING_MODES['or'] = OR
BLENDING_MODES['xnor'] = XNOR
BLENDING_MODES['xor'] = XOR
BLENDING_MODES['dissolve'] = DISSOLVE
BLENDING_MODES['inc_luminosity'] = INCREASE_LUMINOSITY
BLENDING_MODES['inc_saturation'] = INCREASE_SATURATION
BLENDING_MODES['dec_luminosity'] = DECREASE_LUMINOSITY
BLENDING_MODES['dec_saturation'] = DECREASE_SATURATION
BLENDING_MODES['hue'] = HUE
BLENDING_MODES['divisive_modulo'] = DIVISIVE_MODULO
BLENDING_MODES['allanon'] = ALLANON
BLENDING_MODES['alphadarken'] = ALPHADARKEN
BLENDING_MODES['destination-in'] = STENCIL_ALPHA
BLENDING_MODES['hard overlay'] = HARD_OVERLAY
BLENDING_MODES['interpolation'] = INTERPOLATION
BLENDING_MODES['interpolation 2x'] = DOUBLE_INTERPOLATION
BLENDING_MODES['hard mix'] =  HARD_MIX
BLENDING_MODES['hard_mix_photoshop'] = HARD_MIX_PHOTOSHOP
BLENDING_MODES['parallel'] = PARALLEL
BLENDING_MODES['penumbra a'] = PENUMBRA_A
BLENDING_MODES['penumbra a'] = PENUMBRA_B
BLENDING_MODES['penumbra a'] = PENUMBRA_C
BLENDING_MODES['penumbra a'] = PENUMBRA_D
BLENDING_MODES['greater'] = GREATER
BLENDING_MODES['geometric_mean'] = GEOMETRIC_MEAN
BLENDING_MODES['additive_subtractive'] = ADDITIVE_SUBTRACTIVE
BLENDING_MODES['diff'] = DIFFERENCE
BLENDING_MODES['exclusion'] = EXCLUSION
BLENDING_MODES['negation'] = NEGATION
BLENDING_MODES['arc_tangent'] = ARC_TANGENT
BLENDING_MODES['equivalence'] = EQUIVALENCE
BLENDING_MODES['freeze_reflect'] = FREEZE_REFLECT
BLENDING_MODES['freeze'] = FREEZE
BLENDING_MODES['glow_heat'] = GLOW_HEAT
BLENDING_MODES['heat'] = HEAT
BLENDING_MODES['heat_glow'] = HEAT_GLOW
BLENDING_MODES['heat_glow_freeze_reflect_hybrid'] = HEAT_GLOW_FREEZE_REFLECT
BLENDING_MODES['glow'] = GLOW
BLENDING_MODES['reflect_freeze'] = REFLECT_FREEZE
BLENDING_MODES['reflect'] = REFLECT
BLENDING_MODES['inc_intensity'] = INCREASE_INTENSITY
BLENDING_MODES['inc_saturation_hsi'] = INCREASE_SATURATION_HSI
BLENDING_MODES['color_hsi'] = COLOR_HSI
BLENDING_MODES['dec_intensity'] = DECREASE_INTENSITY
BLENDING_MODES['dec_saturation_hsi'] = DECREASE_SATURATION_HSI
BLENDING_MODES['intensity'] = INTENSITY
BLENDING_MODES['saturation_hsi'] = SATURATION_HSI
BLENDING_MODES['hue_hsi'] = HUE_HSI
BLENDING_MODES['inc_lightness'] = INCREASE_LIGHTNESS
BLENDING_MODES['inc_saturation_hsl'] = INCREASE_SATURATION_HSL
BLENDING_MODES['color_hsl'] = COLOR_HSL
BLENDING_MODES['dec_lightness'] = DECREASE_LIGHTNESS
BLENDING_MODES['dec_saturation_hsl'] = DECREASE_SATURATION_HSL
BLENDING_MODES['lightness'] = LIGHTNESS
BLENDING_MODES['saturation_hsl'] = SATURATION_HSL
BLENDING_MODES['hue_hsl'] = HUE_HSL
BLENDING_MODES['inc_saturation_hsv'] = INCREASE_SATURATION_HSV
BLENDING_MODES['inc_value'] = INCREASE_VALUE
BLENDING_MODES['color_hsv'] = COLOR_HSV
BLENDING_MODES['dec_saturation_hsv'] = DECREASE_SATURATION_HSV
BLENDING_MODES['dec_value'] = DECREASE_VALUE
BLENDING_MODES['saturation_hsv'] = SATURATION_HSV
BLENDING_MODES['value'] = VALUE
BLENDING_MODES['lighter color'] = LIGHTER_COLOR
BLENDING_MODES['easy dodge'] = EASY_DODGE
BLENDING_MODES['flat_light'] = FLAT_LIGHT
BLENDING_MODES['fog_lighten_ifs_illusions'] = FOG_LIGHTEN
BLENDING_MODES['linear light'] = LINEAR_LIGHT
BLENDING_MODES['gamma_illumination'] = GAMMA_ILLUMINATION
BLENDING_MODES['luminosity_sai'] = LUMINOSITY_SAI
BLENDING_MODES['gamma_light'] = GAMMA_LIGHT
BLENDING_MODES['soft_light'] = SOFT_LIGHT
BLENDING_MODES['hard_light'] = HARD_LIGHT
BLENDING_MODES['pin_light'] = PIN_LIGHT
BLENDING_MODES['vivid_light'] = VIVID_LIGHT
BLENDING_MODES['pnorm_a'] = PNORM_A
BLENDING_MODES['pnorm_b'] = PNORM_B
BLENDING_MODES['soft_light_ifs_illusions'] = SOFT_LIGHT_IFS
BLENDING_MODES['soft_light_pegtop_delphi'] = SOFT_LIGHT_PEGTOP_DELPHI
BLENDING_MODES['super_light'] = SUPER_LIGHT
BLENDING_MODES['tint_ifs_illusions'] = TINT
BLENDING_MODES['linear_dodge'] = LINEAR_DODGE
BLENDING_MODES['add'] = ADD
